//---------------------------------------------------------------------------
#ifndef HPGLtoDXFH
#define HPGLtoDXFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>

typedef struct {
    double x, y;
    } APoint;

static AnsiString Sales = "Mrs Phyll Parker,     Tel +44 (0)1795-424433";
static AnsiString TechnicalSupport = "Mr Richard Williams,  Tel +44 (0)1795-415246";

//---------------------------------------------------------------------------
class THPGLtoDXFForm : public TForm
{
__published:	// IDE-managed Components
    TEdit *Edit1;
    TEdit *Edit2;
    TButton *TranslateButton;
    TButton *CloseButton;
    TButton *BrowseButton1;
    TButton *BrowseButton2;
    TButton *HelpButton;
    TLabel *Label1;
    TLabel *Label2;
    TOpenDialog *OpenDialog1;
    TSaveDialog *SaveDialog1;
    TLabel *Label3;
    void __fastcall BrowseButton1Click(TObject *Sender);
    void __fastcall BrowseButton2Click(TObject *Sender);
    void __fastcall HelpButtonClick(TObject *Sender);
    void __fastcall CloseButtonClick(TObject *Sender);
    void __fastcall TranslateButtonClick(TObject *Sender);
private:	// User declarations
    TStringList *HPGLFile;
    TStringList *DXFFile;
    APoint Start;
    APoint Finish;
    AnsiString Colour;
    DynamicArray <APoint> Nodes;
    void __fastcall WriteInitialLines(void);
    void __fastcall WriteFinalLines(void);
    void __fastcall WriteDXFLine(APoint Node1, APoint Node2);
    bool PenStateDown;
    void __fastcall PlotAbs(void);
    void __fastcall PlotRel(void);
    void __fastcall PlotDown(void);
    void __fastcall PlotUp(void);
    void __fastcall SetPen(void);
    void __fastcall Circle(void);
    void __fastcall GetCoords(AnsiString Command);
public:		// User declarations
    __fastcall THPGLtoDXFForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE THPGLtoDXFForm *HPGLtoDXFForm;
//---------------------------------------------------------------------------
#endif
